curl --request GET \
--url https://api.staging.payrails.io/dispute/disputes/{disputeId}/documents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.staging.payrails.io/dispute/disputes/{disputeId}/documents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.payrails.io/dispute/disputes/{disputeId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "3f1c8a4e-2b6d-4e91-8f0a-1d2c3b4a5e6f",
"disputeId": "12aee0fb-a406-340c-9bb9-7875e1d18c89",
"providerCode": "checkout",
"displayName": "scheme-file-1.pdf",
"contentType": "application/pdf",
"contentLength": 20481,
"source": "scheme_file",
"disputeStatus": "open",
"createdAt": "2026-03-23T11:27:54.569586Z",
"updatedAt": "2026-03-23T11:27:54.569586Z",
"links": {
"download": {
"href": "https://s3.example.com/bank-documents/merchant/doc-1?X-Amz-Signature=...",
"method": "GET"
}
}
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.malformed",
"detail": "The request has malformed syntax",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestmalformed"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.unauthorized",
"detail": "The request lacks necessary credentials to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestunauthorized"
}
]
}{
"errors": [
{
"id": "e7db22b3-914e-4975-928e-9edfb0885bea",
"code": "request.forbidden",
"detail": "The request credentials lack the required permissions to perform the specified action",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestforbidden"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.not-found",
"detail": "The requested resource was not found",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestnot-found"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "request.rate-limit",
"detail": "Too many requests",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#requestrate-limit"
}
]
}{
"errors": [
{
"id": "a24bc325-3929-4d9d-9c08-b3aa532685b7",
"code": "internal",
"detail": "An internal error occurred",
"docUrl": "https://docs.payrails.com/docs/resources/error-codes#internal"
}
]
}Get Dispute Documents by Dispute ID
List the stored bank/scheme documents for a given dispute, each with a presigned download link generated at request time.
Authorizations
You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>.
These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.
Path Parameters
Identifier of the resource in Payrails.
Response
Success.
Hide child attributes
Hide child attributes
Unique identifier of the dispute document in Payrails.
Identifier of the Dispute this document belongs to.
Code of the PSP the document was fetched from.
Display name of the document, usually the file name.
MIME type of the document content.
Size of the document content in bytes.
Origin of the document.
scheme_file, message_document Date and time when the document was recorded in Payrails.
Date and time when the document was last updated in Payrails.
Snapshot of the dispute's status at the time this document was recorded. Set once on insert and never updated, so it may not reflect later status changes.